#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main() {
int n;
cout<<"unesi n"<<endl;
cin>>n;
int lista[n];
int k ;
cout<<"unesi k"<<endl;
cin>>k;
int a;
vector<int> g1;
for (int h=0;h<n;h++){
  cout<<"unesi br"<<endl;
  cin>>a;
  lista[h]=a;
}

int index=1;
sort(lista, lista+n);
for (int i = 0; i < n-1; i++) {
  if(lista[i]==lista[i+1]){
    index= index+1;
  }
  else{
    index = 1;
  }
  if(index>=k){
    g1.push_back(lista[i]);
  }

}
for(int i=0; i < g1.size(); i++){
  for (int j = i + 1; j < g1.size(); j++){
    if(g1.at(i)==g1.at(j)){
      g1.erase(g1.begin()+i);
    }
}
cout<<g1.size()<<endl;
for(int i=0; i < g1.size(); i++){
  cout << g1.at(i) << ' ';
}
return 0;
}
}